ChiliProject - Feature # 177: Minimize Redmine.pm for authorization code reuse

Status: Ready for review Priority: Normal
Author: Stephan Eckardt Category: SCM
Created: 2011-02-11 Assignee: Holger Just
Updated: 2013-03-19 Due date:

Remote issue URL:

Affected version:

Description: Authorization for SVN repositories is done in a separate perl module Redmine.pm. This perl script is mostly a
rewrite of ChiliProject's internal authentication mechanism, which is a bad case of code duplication.

Because of this, changes to ChiliProject's authentication mechanism (e.g. new authentication sources) always
have to be written once in ruby and a second time in this perl script.

It would be nice if the amount of code in Redmine.pm could be minimized and in such a way that the perl
script only asks ChiliProject if access using the supplied credentials is granted or not.

FYI | already have code

History

2011-02-11 02:50 pm - Felix Schéafer
> FYI | already have code

Link? :-)

2011-09-13 07:43 pm - Holger Just
- Target version set to 3.0.0

- Assignee set to Holger Just

2011-12-10 12:51 am - Eric Davis

Holger, are you working on this? If not, then we should bump it out of 3.0.0 until it's ready.

2011-12-16 08:21 pm - Eric Davis

- Target version deleted (3.0.0)

Bumping out of 3.0.0 until the code is ready for this.

2012-09-05 02:20 pm - Holger Just

- Status changed from Open to Ready for review

| implemented a new @ChiliProject.pm@ module which fully uses the Chiliproject authentication sources. As I'd like some testing before we merge this

into master (as a full replacement for Redmine.pm), I'd target this for version:3.5.0.

2012-09-05 02:26 pm - Holger Just

- Target version set to 3.8.0

The pull request is at https://github.com/chiliproject/chiliproject/pull/229

2020-10-25 1/2



2012-12-09 04:16 pm - Holger Just
- Target version changed from 3.8.0 to 3.4.0

2013-01-06 07:57 pm - Holger Just
- Target version changed from 3.4.0 to 3.8.0

Meh, this still doesn't work the way 10 actually liked it too. I'm going to have a deeper look and merge it into version:3.5.0

2013-03-19 09:27 pm - Holger Just
- Target version deleted (3.8.0)
